<header
  class="d-flex flex-wrap align-items-center justify-content-center justify-content-md-between py-3 mb-4 border-bottom">
  <a class="d-flex align-items-center col-md-3 mb-2 mb-md-0 text-dark text-decoration-none" href="/">
    <img src="/assets/images/logo.png" width="150" alt="Main logo" />
  </a>

  <ul class="nav col-12 col-md-auto mb-2 justify-content-center mb-md-0">
    <li class="nav-item"><a class="nav-link px-2 link-secondary" routerLink="/">Home</a></li>
    <li class="nav-item" ngbDropdown>
      <a class="nav-link px-2 link-dark" tabindex="0" ngbDropdownToggle id="startDropdown" role="button">Start</a>
      <div ngbDropdownMenu aria-labelledby="startDropdown" class="dropdown-menu dropdown-menu-end">
        <a ngbDropdownItem *ngIf="authenticationService.isAuthenticated()" routerLink="/user/game/register">Register</a>
        <a ngbDropdownItem routerLink="/download/client">Download</a>
        <a ngbDropdownItem routerLink="/download/patch">Download updates</a>
      </div>
    </li>
    <li class="nav-item" ngbDropdown>
      <a class="nav-link px-2 link-dark" tabindex="0" ngbDropdownToggle id="shopDropdown" role="button">Shop</a>
      <div ngbDropdownMenu aria-labelledby="startDropdown" class="dropdown-menu dropdown-menu-end">
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Shop</a>
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Credit</a>
      </div>
    </li>
    <li class="nav-item" ngbDropdown>
      <a class="nav-link px-2 link-dark" tabindex="0" ngbDropdownToggle id="statisticDropdown" role="button">Statistic</a>
      <div ngbDropdownMenu aria-labelledby="startDropdown" class="dropdown-menu dropdown-menu-end">
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Server statistic</a>
        <a ngbDropdownItem routerLink="/ranking/player">Top players</a>
        <a ngbDropdownItem routerLink="/ranking/profession/1">Top professions</a>
        <a ngbDropdownItem routerLink="/ranking/nobility">Top nobility</a>
        <a ngbDropdownItem routerLink="/ranking/syndicate">Top guild</a>
        <a ngbDropdownItem routerLink="/ranking/superman">Top superman</a>
      </div>
    </li>
    <li class="nav-item" ngbDropdown>
      <a class="nav-link px-2 link-dark" tabindex="0" ngbDropdownToggle id="helpDropdown" role="button">Help</a>
      <div ngbDropdownMenu aria-labelledby="startDropdown" class="dropdown-menu dropdown-menu-end">
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">News</a>
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Guides</a>
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Forum</a>
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Support</a>
        <a ngbDropdownItem href="#" (click)="$event.preventDefault()">About us</a>
      </div>
    </li>
  </ul>

  <div class="col-md-3 text-end" *ngIf="!authenticationService.isAuthenticated()">
    <a class="btn btn-outline-primary me-2" routerLink="/sign" fragment="login">Login</a>
    <a class="btn btn-primary" routerLink="/sign" fragment="register">Sign-up</a>
  </div>
  <div class="col-md-3 text-end" *ngIf="authenticationService.isAuthenticated()">
    <button role="button" class="btn btn-outline-primary me-2" (click)="logout()">Logout</button>
  </div>
</header>
